Bug 1720643 - Discrepancy in default memory size for virtual machine while provisioning vm from Satellite 6
Summary: Discrepancy in default memory size for virtual machine while provisioning vm ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - libvirt
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.6.0
Assignee: Ondřej Ezr
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
: 1742547 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-14 12:36 UTC by vkaushik
Modified: 2019-10-22 19:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
Satellite 6- WebUI screenshot (99.45 KB, image/png)
2019-06-14 12:38 UTC, vkaushik
no flags Details

Description vkaushik 2019-06-14 12:36:55 UTC
Description of problem:
Default memory size for virtual machine is in Bytes (2147483648) while creating host
Also, the information icon for memory is unresponsive.


Version-Release number of selected component (if applicable):
Satellite version: 6.6.0 snap 6


How reproducible:
Always


Steps to Reproduce:
1. Navigate to Hosts and click on create hosts link.
2. Configure host parameters in host tab.
3. Switch to virtual machine tab.
4. Check the default memory size.
5. Click on the information icon for Memory.
6. Provide value in single digit eg. 2 or 4 and create host.


Actual results:
- Host parameters are configured properly. No issues seen.
- Virtual machine tab shows very high value for Memory - 2147483648 (which converts to 2 GB). This value is supposedly in Bytes considering 2GB to be the default value.
- Clicking on information icon is unresponsive. No information is shown to user about the unit of value.
- Single digit value is correctly applied - eg. if 2 is provided then host is provisioned with 2 GB memory.


Expected results:
- Memory size value should be in GB by default.
- Information icon should provide the unit info for memory size.


Additional info:

Comment 3 vkaushik 2019-06-14 12:38:54 UTC
Created attachment 1580666 [details]
Satellite 6-  WebUI screenshot

Comment 9 Marek Hulan 2019-07-23 15:34:11 UTC
Created redmine issue https://projects.theforeman.org/issues/27391 from this bug

Comment 10 Ondřej Ezr 2019-07-24 11:12:04 UTC
From description and the image assuming this is a libvirt compute resource.
I was able to reproduce it on libvirt, but it is not happening for vmware, as it has memory in MB.
As vkaushik@redhat.com is not active, can't wait for his info, proceeding with fix for libvirt.

Comment 11 Marek Hulan 2019-08-19 08:07:45 UTC
*** Bug 1742547 has been marked as a duplicate of this bug. ***

Comment 14 Lukáš Hellebrandt 2019-09-17 12:13:13 UTC
Verified with Sat 6.6 snap 20.

Filled "3 GB", "3" and left default "2 GB", all led to correct size of the VM's memory and it got correctly shown in the host's VM tab. Also, information icon works, saying "When specifying custom value, add 'MB' or 'GB' at the end. Field is not case sensitive and MB is default if unspecified." which is correct.

Comment 15 Bryan Kearney 2019-10-22 19:49:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.